Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.service
Interface SecurityRole

    public interface SecurityRole

The `SecurityRole` interface represents the abstract notion of a security role.

Users/groups can have different roles at different times, depending upon what they are trying to do. For example, a user may have the role "Admin" while doing administrative tasks, but the same user might not be allowed to have that role outside normal work hours. Users/groups can have multiple roles at the same time, depending upon what the security providers grant. The methods on the `SecurityRole` interface allow one to obtain basic information about the `SecurityRole`, or to compare it to another security role. These methods are designed for the convenience of security providers.

Note: `SecurityRole` implementations are returned as a `Map` by the `getRoles` method.

See Also:
  `RoleMapper.getRoles(Subject subject, Resource resource, ContextHandler handler)`

Method Summary
`boolean` | `equals(Object another)` Compares this security role to the security role in the specified object.
`String` | `getDescription()` Gets a description of this security role.
`String` | `getName()` Gets the name of this security role.
`int` | `hashCode()` Returns a hashcode for this security role.
`String` | `toString()` Returns a String representation of this security role.

Method Detail

### equals

    boolean equals(Object another)

  Compares this security role to the security role in the specified object.

  Overrides:
    `equals` in class `Object`
  Parameters:
    `another` - the other security role with which to compare this security role.

  Returns:
    `TRUE` if the security role passed in matches the security role represented by the implementation of this interface, and `FALSE` otherwise.

### toString

    String toString()

  Returns a String representation of this security role.

  Overrides:
    `toString` in class `Object`
  Returns:
    this security role, represented as a String.

### hashCode

    int hashCode()

  Returns a hashcode for this security role.

  Overrides:
    `hashCode` in class `Object`
  Returns:
    a hashcode for this security role, represented as an int.

### getName

    String getName()

  Gets the name of this security role.

  Returns:
    the name of this security role, represented as a String.

### getDescription

    String getDescription()

  Gets a description of this security role. The description should describe the purpose of this security role.

  Returns:
    a description of this security role, represented as a String.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD